# Get delivery information

This endpoint provides a comprehensive view of a delivery, either with the delivery identifier or with its reference ID.

## Check delivery information

> Retrieve data for a delivery by its ID or reference.

```json
{"openapi":"3.0.0","info":{"title":"Shippify Api","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Development server"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"getDelivery":{"successfulResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier of the delivery in Shippify."},"route":{"type":"object","description":"Information about the route to which the delivery belongs.","properties":{"id":{"type":"string","description":"Identifier of the route in Shippify."},"order":{"description":"Order of the delivery within the route.","type":"integer","minimum":1}}},"recipient":{"description":"Contact information at the warehouse","$ref":"#/components/schemas/delivery/contact"},"pickup":{"type":"object","properties":{"date":{"type":"string","description":"Pickup date."}}},"dropoff":{"description":"Delivery information","type":"object","location":{"$ref":"#/components/schemas/delivery/location"},"date":{"type":"string","description":"Delivery date."}},"courier":{"description":"Driver details","type":"object","properties":{"info":{"type":"object","properties":{"shipperId":{"description":"Identifier of the driver performing the delivery.","type":"integer","minimum":1},"shipperDocId":{"type":"string","description":"Driver's identification, ID card, etc."},"shipperName":{"type":"string","description":"Driver's name."},"shipperCapacity":{"type":"string","description":"Driver's capacity."},"vehicleLicensePlate":{"type":"string","description":"Driver's vehicle license plate."},"vehicleType":{"type":"string","description":"Driver's vehicle brand."},"vehicleModel":{"type":"string","description":"Driver's vehicle model."}}},"location":{"type":"object","description":"Driver's current location.","properties":{"lat":{"type":"string"},"lng":{"type":"string"}}}}},"items":{"description":"Delivery packages","type":"array","items":{"description":"Package information.","type":"array","items":{"$ref":"#/components/schemas/delivery/package"}}},"status":{"description":"Delivery status code","type":"integer","minimum":1},"_status":{"type":"string","description":"Delivery status name"},"status_lang":{"type":"string","description":"Delivery status name in the account's language"},"distance":{"description":"Distance between pickup and delivery points","type":"number","minimum":0},"company":{"type":"string","description":"Task company name"},"referenceId":{"type":"string","description":"External delivery identifier, such as order number"},"reasonId":{"description":"Identifier of the reason for the status change","type":"integer","minimum":1},"reasonText":{"type":"string","description":"Description of the reason for the status change"},"problem_note":{"type":"string","description":"Status change comment"},"lastStatusDate":{"type":"string","description":"Date of the last status change"},"tags":{"description":"Delivery digital tag names.","type":"array","items":{"description":"Digital tag name","type":"string","maxLength":50}}}}},"delivery":{"contact":{"description":"Contact information of the person responsible for delivering the packages at the pickup warehouse.","type":"object","required":["name","email"],"properties":{"name":{"description":"Name of the responsible person.","type":"string"},"email":{"description":"Email of the responsible person.","type":"string","format":"email"},"phonenumber":{"description":"Phone number of the responsible person.","type":"string"}}},"location":{"description":"Address information of the pickup location of the delivery packages.","type":"object","required":["address"],"properties":{"address":{"description":"Delivery address.","type":"string"},"instructions":{"description":"Extra information about the address.","type":"string"},"lat":{"description":"Latitude of the pickup point.","type":"string"},"lng":{"description":"Longitude of the pickup point.","type":"string"}}},"package":{"type":"object","required":["name","qty","size"],"properties":{"id":{"type":"string","description":"Package identifier"},"name":{"type":"string","description":"Package name"},"qty":{"description":"Number of packages in the order (not the number of products inside the package).","type":"integer","minimum":0},"weight":{"description":"Unit weight * quantity in Kg","type":"number","minimum":0},"size":{"description":"Package size","type":"string","enum":["xs","s","m","l","xl"]},"price":{"description":"Unit price * quantity in the currency of the company","type":"number","minimum":0}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v1/deliveries/{id}/complete":{"get":{"tags":["Deliveries"],"summary":"Check delivery information","description":"Retrieve data for a delivery by its ID or reference.","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getDelivery/successfulResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"parameters":[{"name":"id","in":"path","description":"Identifier or reference ID of the delivery to query.","required":true,"schema":{"type":"string"}}]}}}}
```

## Use cases

<details>

<summary>Retrieve information about a delivery by its ID.</summary>

You can use the delivery ID in the request URL to fetch its information.

</details>

<details>

<summary>Retrieve information about a delivery by its reference ID</summary>

You can use the delivery reference ID in the request URL to fetch its information.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shippify.co/developers/en/shippify-api/deliveries/get-delivery-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
